#!/usr/bin/env sh

ANSIBLE_CONFIG=kubespray/ansible.cfg \
ansible-playbook $@ kubespray.yml

python3 -m venv --upgrade --system-site-packages .venv-kubespray
.venv-kubespray/bin/pip3 install --upgrade pip
.venv-kubespray/bin/pip3 install wheel
.venv-kubespray/bin/pip3 install -r kubespray/requirements.txt

ANSIBLE_CONFIG=kubespray/ansible.cfg \
.venv-kubespray/bin/ansible-playbook -T 90 \
--become --become-user=root \
$@
